Name:           libcacard
Version:        2.5.0
Release:        1%{?dist}
Summary:        CAC (Common Access Card) library
License:        LGPLv2+
URL:            http://www.spice-space.org/page/Libcacard
Source0:        http://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
Group:          Development/Libraries
Epoch:          3

BuildRequires:  glib2-devel
BuildRequires:  nss-devel

%description
This library provides emulation of smart cards to a virtual card
reader running in a guest virtual machine.

It implements DoD CAC standard with separate pki containers
(compatible coolkey), using certificates read from NSS.

%package        tools
Summary:        CAC Emulation tools
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    tools
CAC emulation tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc NEWS COPYING
%{_libdir}/libcacard.so.*
%{_bindir}/vscclient

%files tools
%{_bindir}/vscclient

%files devel
%{_includedir}/cacard
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%changelog
* Wed Sep 23 2015 Marc-André Lureau <marcandre.lureau@redhat.com>
- Initial standalone libcacard package.
